commit 4208a0947f08562a727a855ddcd4605d201c99bd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 28 17:44:13 2023 -0700

    xman 1.1.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9bbfa9f3509480f87bf31ae2c37f822b6d9518b3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 9 13:46:09 2022 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2b7825b2ab93b5ac41d295d0fa0c2b081e624cb7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 18 12:44:40 2023 -0800

    Install WM_DELETE_WINDOW handler for search window
    
    Allows using window manager close icon to close search window without
    killing the entire program.
    
    Fixes: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=720266
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d6c728b4d7c86fb486cd9f18c749f3b61ff8fb63
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 4 15:10:45 2023 -0800

    Add -version option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 73aecaafd3e4b80c57a2549e399b7f0b769bcf5e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 20 18:58:48 2022 -0800

    configure: Use AC_SYS_LARGEFILE to enable large file support
    
    While xman can't handle files more than 2gb in size, due to libXt
    API limits, it can handle files with large inodes. (Not that any
    man page should ever be more than even 1mb in size in reality.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 204e4512a11cac5e906a0c8f422ef7e51fa559af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9c3b7728096667404ea19c5fbddec5cff29e8bbe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 12:48:45 2022 -0700

    man page: remove out-of-date reference to X(7)
    
    The X(7) man page doesn't list any license information as this had claimed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5ac741677cc861796b4c4fae0d03eb009a67c722
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 12:26:47 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 60d96fb66acea82724104591a77b3cfcca838c9b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 12:26:44 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aed0ca367a69a7defd29bbbe357914b1b45ca4b9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 14 13:10:32 2019 -0700

    xman 1.1.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8e32cbc5f586ba7382941d355342b1f14bcc1f5e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 31 13:45:40 2019 -0700

    Pass -D_CONST_X_STRING to make libXt declare String as const char *
    
    Clears up 62 gcc -Wdiscarded-qualifiers warnings in the xman build
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 63973d9097d4f914c7637937f3af502116375d58
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 31 13:43:57 2019 -0700

    Change fallback_resources from char * to String type
    
    Matches declaration of the libXt XtAppInitialize function that the
    array is passed to.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4f5cc99e46d0795615b9adc668b4c738529cb54a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 31 13:42:50 2019 -0700

    Make CreateManpageWidget use String type for name argument
    
    Matches declaration of the libXt XtCreatePopupShell function that the
    name argument is passed to.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c84cd5c224e20e51cee89bf12e07d7c70b75938f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 31 13:21:37 2019 -0700

    Delete unused function Name() from tkfuncs.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bda000d1619d18aeeb37e84eda090341f38e81ea
Author: Matthieu Herrb <matthieu@herrb.eu>
Date:   Fri Mar 8 21:35:33 2019 +0100

    Fix typo in manual page.
    
    reported by Alejandro G. Peregrina on OpenBSD tech@ list
    
    Signed-off-by: Matthieu Herrb <matthieu@herrb.eu>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ea5c4d25577b20a459358eff9f2d8a100dcf794f
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Apr 30 23:38:10 2015 +0200

    If we have man-db, don't try and emulate man's pipeline
    
    Just let man itself do the formatting / zsoelim / ... dance.  This
    became necessary with man-db 2.7.0 moving zsoelim out of $PATH.
    
    Debian bug#764792 <https://bugs.debian.org/764792>
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6aefab8b5831b52042afc482a50a43e3a4eba5b9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:14:35 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e7e8014eeee800d887f8e0264a4657c7918e7591
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:36:52 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6758ad5a88b0d64ebbd008a0561239935a7be443
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 15:05:45 2018 -0700

    Change fall through comment in ScrollByL.c to match gcc's requirements
    
    Needs to match one of the regexps shown under
    https://gcc.gnu.org/onlinedocs/gcc-7.3.0/gcc/Warning-Options.html#index-Wimplicit-fallthrough
    
    Silences warning from gcc 7.3 of:
    
    ScrollByL.c: In function ‘PrintText’:
    ScrollByL.c:1109:16: warning: this statement may fall through [-Wimplicit-fallthrough=]
                 if (*(c + 1) == BACKSPACE) {
                    ^
    ScrollByL.c:1125:9: note: here
             default:
             ^~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 652ca3b948f6ae1f84d72b5a5bb841d7c893e5e4
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 4e8efb3fca88799f1101020ee7c9af9c34cfe8a4
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 231eec8d26187e4d3bd84d439a9d0a90d28780bb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 27ae1a020119b5254c0238ef60a1ba602befba56
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 6 19:06:48 2015 -0800

    xman 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e70edc503ad153c4223995ae5fb4adf980b01bd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 12 19:25:49 2014 -0800

    Ask groff for text instead of postscript on Solaris
    
    In the last case fallback to groff in #ifdef HANDLE_ROFFSEQ, it
    was just running "groff -man", which generates postscript output,
    which xman displays as a text dump of the postscript source, not
    very readable.
    
    Hit on Solaris since it wasn't caught by the earlier checks for
    CSRG_BASED, linux, __CYGWIN__, and __DARWIN__, which cover most
    other cases.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ddb35139f98bcf276ef328db00961dc5a1b4ecf7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 11 20:12:43 2014 -0700

    Fix typos & wording issues in source comments
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b07a3b3bc4c039bf0c2b03c3c60eae7c86c6fc6e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 23:35:02 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c9919b02bb41013789dc28f63285483ca8b18740
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 23:35:01 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f6ae31ee1da66ecdd9ad049a5aa4fe82aca209c8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 23:34:53 2014 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e3a9f82775946f056e997df4528e5ff536edf4a5
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu May 22 00:16:59 2014 +0200

    Fix shadow warning.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit bb926ce84421b1fc9795c229ce32332b77a4b18d
Author: Jörg Sonnenberger <joerg@NetBSD.org>
Date:   Thu May 22 00:15:36 2014 +0200

    Fix tautology to the intended check.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit 15382f62a734d5b4bde30378dab525deadae72c2
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Feb 19 14:51:34 2014 +0000

    Use same FORMAT command on cygwin as on linux in HANDLE_ROFFSEQ case as well
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>

commit a2976b6403ce3a98e8bb4f8db8c1703588800ee8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 18 23:23:44 2013 -0700

    Ensure fgets read at least one byte before modifying string
    
    If a file has a \0 byte (binary file, strange encoding, corruption),
    fgets() can return a string starting with a \0 byte - check for that
    before checking to see if the byte before the \0 is a \n, so we don't
    reach back before the start of our memory buffer.
    
    Also check that the penultimate byte is a \n before we chop it off,
    in case we're reading from a file missing a newline, or a line longer
    than fit in the buffer provided to fgets().
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 617209a03a219abfd0fc626be1a038d20443178b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 8 09:11:57 2013 -0700

    Fix "no search will be preformed" typo in dialog box message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 46c0034ae501360edb541082d0eadb23babf302e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 6 23:46:22 2013 -0700

    xman 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9382d2510db6184fee7a531add217c5e38cefea4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 6 23:44:27 2013 -0700

    COPYING: Remove notice for Xprint code removed in 5722ca728763e7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 64e6ead0bde2806f7be8222bd4805293d9c0f6ce
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Aug 7 23:59:04 2013 -0700

    Resync Solaris man page section list with current Solaris xman
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cf05d354a937e234f60d90c36c7bd676c521b548
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 13:11:23 2013 -0700

    Check for CreateManpage returning NULL
    
    Now that it can propogate the malloc failure on from InitPsuedoGlobals,
    we need to check its result before using it as well.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4d31718584028d9f3df144d54269c4b62a8b5bb5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 13:08:38 2013 -0700

    Check for InitPsuedoGlobals() returning NULL
    
    Fixes possible NULL pointer dereferences warned about by parfait:
    
       Read from null pointer 'man_globals'
            at line 162 of buttons.c in function 'CreateManpage'.
              Function 'InitPsuedoGlobals' may return constant 'NULL' at line 183, called at line 153.
              Null pointer introduced at line 183 in function 'InitPsuedoGlobals'.
       Read from null pointer 'man_globals'
            at line 59 of help.c in function 'MakeHelpWidget'.
              Function 'InitPsuedoGlobals' may return constant 'NULL' at line 185, called at line 56.
              Null pointer introduced at line 183 of buttons.c in function 'InitPsuedoGlobals'.
    
    and various ones following from each path from those points.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e34e8c6d3203cfeed0f98aae504f318a26d5d75b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 11:29:59 2013 -0700

    Close file pointer before setting it to NULL in Format()
    
    Avoids more file leaks
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 58b857bcc005552b1ae90733c52d456dc56c3f9b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 10:36:41 2013 -0700

    Fix file leak in ConstructCommand()
    
    File was never closed in any code path.
    
    Found by parfait 1.1 bug checking tool:
    Error: File Leak
       File Leak: Leaked File file
            at line 729 of misc.c in function 'ConstructCommand'.
              file initialized at line 703 with fopen
              file leaks when fopen(fname, "r") != NULL at line 703.
            at line 771 of misc.c in function 'ConstructCommand'.
              file initialized at line 703 with fopen
              file leaks when fopen(fname, "r") != NULL at line 703.
            at line 773 of misc.c in function 'ConstructCommand'.
              file initialized at line 703 with fopen
              file leaks when fopen(fname, "r") != NULL at line 703.
            at line 763 of misc.c in function 'ConstructCommand'.
              file initialized at line 703 with fopen
              file leaks when fopen(fname, "r") != NULL at line 703
                  and left <= 1 at line 762.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d25a3b87ce9fdf950b42f45b644242d72e7167b3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 20 09:56:08 2013 -0700

    configure: check for groff and enable groff extensions if found
    
    Check for groff never got translated from imake to autoconf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit 72b3760a2a5c4ea81c3bebf085b3b8f5ac56730e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 20 08:58:46 2013 -0700

    Provide a fallback mkstemp so we don't need to maintain 2 API versions
    
    Unifies the file handling API's to always return an open fd or FILE *,
    instead of delaying the open when mkstemp was not available.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit 5ca3757aaa698c8482cec092551e0cc72597981d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 20 09:38:27 2013 -0700

    Fix scroll wheel when CapsLock, NumLock or other modifiers are on
    
    "None" means no modifiers at all, when all we really want is not
    Shift or Control, which have their own mappings.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 78c43bb3d12ed38bc5d750c3e0b1f7f0ea44cf0d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 20 09:02:32 2013 -0700

    Increase default text window sizes from 600 to 780 pixels
    
    Old defaults weren't wide enough to display 80 columns of text in our
    default fonts, so our help & man pages didn't fit.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f82ad2fe93d85190e21a9fcdcc66fdd9ccdbbdb6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 20 08:54:29 2013 -0700

    Stop checking for OSMINORVERSION in list of Solaris man page sections
    
    It's never defined in the autotool setup, so these sections were always
    hidden - better to always define them and let the existing logic filter
    them out if they don't exist.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2c52f843d4a359e32273bef4c08a49bcaec56100
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 20 00:04:18 2013 -0700

    Use strchr() & strrchr() instead of index() & rindex()
    
    Welcome to ANSI C89.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0c2d9fa7e5c2c109c68037e1b4da56fc4598b61b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 23:55:11 2013 -0700

    Use remove() instead of unlink()
    
    In normal cases, no difference.   If somehow our file path ends up
    pointing to a directory, can save having to fsck to clean up the
    mess, if someone is silly enough to be running xman as root.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e5d074873fe7440c397cbf257b0a9c2da28e08b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 23:08:32 2013 -0700

    Mark PrintError as noreturn
    
    Suggested by gcc -Wsuggest-attribute=noreturn
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d8f02da4e3e9d65608b26222d76ce75567956d0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 23:04:17 2013 -0700

    Remove unused NULLSTR macro
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit da80716836bd7a049e74503c660d853e512e6239
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 23:02:23 2013 -0700

    constify char *'s to clear compiler complaints
    
    Can't get them all, due to Xt API, but this gets rid of dozens of
    warnings when building with gcc 4.7.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 27b1aadf2b24ad18e2d0d722e3b720f3f846dfec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 20:19:11 2013 -0700

    Replace StrAlloc with XtNewString
    
    Wasn't as hard as the comment suggested.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e92ce109f36918b700eaaafed338fd532d017aa9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 20:13:21 2013 -0700

    Remove XConsortium/XFree86/XdotOrg RCS/CVS id tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d0b3ac1adbbfc055555f6f9be1f61ed4686d235
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 23:34:12 2013 -0700

    unifdef SYSV386 (really defined(SYSV) && defined(i386))
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bc2cd98ebf50dab5db099a812b9dedc62b593c85
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 23:27:17 2013 -0700

    unifdef -Uhcx
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c50a01ea37e0242943d276b6af39b81860cba2a3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 23:25:09 2013 -0700

    unifdef -UmacII
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 08da0a2c5be93a9b711722d725b005e23bd50638
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 23:22:39 2013 -0700

    unifdef -Uultrix
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 401961177f9411e80213bab0d66ad0d82a1e96f1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 20:23:49 2013 -0700

    unifdef -UUTEK -Uapollo -ULynx
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 767616ea1e22716901e9043faa912b25f56c23f0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 20:11:51 2013 -0700

    unifdef -UCRAY
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2803776db88953904e5b789c5d81ab375c7653f7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 20:10:05 2013 -0700

    Convert to X.Org standard code style
    
    Mostly via util/modular/x-indent-all.sh, plus some manual cleanup
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8140c2d43519fc44606a82e0d249541a2cdf516d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 18:41:23 2013 -0700

    Fix numerous typos & spelling errors in comments and message strings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eec31c83594049fc52c985daacca0f8007a2a410
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 19 18:04:12 2013 -0700

    Use <dirent.h> everywhere instead of checking for X_NOT_POSIX/SYSV/USG/etc.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6ffd48bf0084e3e26dee31b16b7234805db00c44
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 18:45:53 2013 -0800

    unifdef -U__UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2a502d748344549a2b74f8e147243048a400c451
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Thu Aug 23 12:34:15 2012 -0400

    Eliminate use of tab stops.  Use real TBL markup where indicated.
    
    These changes assist structural translation to DocBook.
    
    Signed-off-by: Eric S. Raymond <esr@thyrsus.com>

commit a52a5150dd353a6dcc8db1720d0616d14b14905e
Author: Christos Zoulas <christos@NetBSD.org>
Date:   Thu Jul 12 20:26:03 2012 +0200

    Rename PIC to ROFF_PIC to avoid problems with "-DPIC" compilations.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0824a8ce82e053723b661bf1c2864e52eebac917
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 29 20:53:53 2011 -0700

    xman 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b8e4ebb00593d8b58815921cf5eb2d1e8a3738a7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 4 18:16:48 2011 -0800

    Remove xmu dependency by inlining AssignMax macro
    
    No calls from libXmu were used, just one instance of one simple macro
    that made the code harder to understand, so stop requiring it and
    linking directly to it.   (Of course, libXaw still depends on it, so
    it will still be loaded indirectly.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit ca7ff690136a35b8dad90271db5966cc9614b1c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 28 23:10:22 2011 -0800

    Use snprintf to PATH_MAX sized buffers to construct filenames
    
    Simpler than trying to calculate the size to malloc.
    
    Could have used XtAsprintf() but didn't seem worth the dependency
    for two simple calls with a standard, well-known maximum size.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit 48709d1ed5002255fa322cb3f0c4b8d5a5a7f3de
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 28 22:38:08 2011 -0800

    Convert more sprintf calls to snprintf
    
    Previous conversion seems to have missed many calls right next to ones
    that were converted to snprintf already
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit 35265840bba5aa4098b2f12522ef4c80b17c604a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 28 22:35:35 2011 -0800

    Don't need to copy static strings to a buffer before calling PopupWarning
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit 72817de248a160ae84532662268b380b701908e8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 28 22:24:47 2011 -0800

    Mark string argument to PopupWarning as a const char *
    
    PopupWarning just copies the string into the message it displays,
    via snprintf, and never writes to it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit 382d261e50ac976001376c3a660fba0a55faad6d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 14:18:09 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 461b7068c522a9a3a92cd64ac1b664d079803807
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 14:12:46 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d7cb024227f8df08840937335ddf3f6f1bc95bef
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a2b1b62a8603e21f4944ed55951d8682964f11b7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit e62b0d9d0515221b5b82e5dbf63f10be8e2b2f1d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bee5d67ab054decda85e2ba2fc70cf8a53b74fcd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 17:31:47 2010 -0700

    xman 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 689cb1e03b0feb46bf198a468e4cc5c91ff59aa6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 17:29:22 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 98f366e764334a853b291b84856996e3dfad8959
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 17:28:38 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d75f5d9e4c2c1f819dfc4e523ad88a2a0b0e251
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 30 17:28:03 2010 -0700

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fd30b754d17685ad971294ce31e34de5fede5a25
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 8 12:00:53 2010 -0400

    config: update direct dependencies for xman
    
    Depends on xproto through the inclusion of X.h.
    Depends on Xaw through the inclusion of List.h
    Depends on Xmu through the inclusion of Xmu/Misc.h
    Depends on Xt through the inclusion of Intrinsic.h
    
    PKG_CHECK_MODULES calls AC_SUBST for CFLAGS and LIBS
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 96224f67f30830c2b49045313dfa746d155c56bf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 6 15:08:24 2010 -0700

    Fill in COPYING file with copyright notices from source code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 522ee7a23d31a0a0e359922d1194214db215bb6f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 10 17:28:55 2010 -0500

    make: remove version.h from xman_SOURCES
    
    Commit cac7f814053ddbc8ec14666cfe85adc34344220f
    removed the file from git.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b36ab48574afae17c7701bc55a3a0d6a971c3ced
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Dec 19 20:48:48 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9b52967330f1c6466a5b8729ad36a0a96b3dcd62
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 05e1d899bc5df593b2fff79753aa7a53a8cc18aa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 8cdd724d38f63ca07b75e106db3d087c53f67eed
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 350724e6ee4a77586fcd8f026305a72cb3a9d3ca
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit cac7f814053ddbc8ec14666cfe85adc34344220f
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Oct 27 22:45:12 2009 +0100

    Fix version display.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit b82eb1279acc60f9ebb93730ac002dfde2118a4b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 14:10:04 2009 -0700

    xman 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 2983ab485ff3fd68ff33d81f9fa46977ec724ac6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 15 18:20:41 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6c4d017430014699b5e108f10765e89bcc3f41cf
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Thu Oct 15 16:09:44 2009 -0500

    Cygwin uses Linux-style man
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>

commit 44334f70b6623395bbef78513f712dbbf5cbfba0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:27 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 86e63ab1821387f6fcf3fce506357f76ad8dd194
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 17 17:42:12 2008 -0200

    Add lzma manpage extension support.
    
    This should really be handled by the existing code to handle multiple
    extension formats...

commit e4b0097161ec84b288ca480149ed0185e742d7a3
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Tue Jan 13 18:16:03 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, and corrects
    make distcheck.

commit 3afab6ff3cd896514d3bb733244e3bb9640d1e7c
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sat Nov 8 15:03:18 2008 -0800

    Apple: Added Tiger's man.conf location to the search path

commit 5722ca728763e7ec57088593e76ba84db61a726c
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Aug 21 00:38:27 2008 +0200

    Remove xprint remnants

commit f3579250f8aa332f2015cb1352ed8b7373eb10db
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 20 10:32:52 2008 -0400

    xaw8 is gone, use xaw7

commit 74dbdc66607017cd9ba3c2c3dba4a5536332fabb
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Mar 28 11:53:13 2008 +0100

    Use AM_CFLAGS instead of xman_CFLAGS and remove AM_PROG_CC_C_O

commit 6c9f3307ba95604654d0f0227b7e0457ef4bc47f
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:15:54 2008 -0700

    Build fix for case insensitive file systems
    Also added AM_PROG_CC_C_O

commit dbfa16889ae66d5880e23c9a63f8385896512020
Author: James Cloos <cloos@jhcloos.com>
Date:   Sat Feb 9 21:53:14 2008 -0500

    Allow xman to use bzip2 to decompress man pages
    
    Patch is from Mandriva as posted to bugzilla bug 14400.
    
    Use bunzip2(1) to decompress man pages, akin to the current
    support for gzip(1)ed pages.

commit 2d03acacffae87865201991fc9ef44a7208ccb8f
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:37:24 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 137a0fd2e258d9337049263895b1d6142af3a464
Author: Jeremy C. Reed <reed@glacier.reedmedia.net>
Date:   Thu Aug 16 11:45:37 2007 -0500

    Allow xman to be cross build by adding a ./configure
    --with-manconfig=<filename> option.
    (Based on discussion on xorg list at end of July.)

commit 8077ab96dbb30ec5b5b4bbc67124fc6f2681cdb5
Author: Matthieu Herrb <matthieu@localhost.localdomain>
Date:   Fri Aug 10 16:19:58 2007 +0200

    Bump version for release

commit 112a1b17708c8213cb19f31934458c19dd31f360
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jan 3 20:26:26 2007 -0800

    renamed: .cvsignore -> .gitignore

commit bede0f3651f51ce5bc99a2d6543664e3817d14f4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jan 3 20:25:54 2007 -0800

    Sun Bug 6504978: xman on Solaris x86 does not render correctly, nroff visible
    
    <http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6504978>

commit 7e0441a748aa62459bc74b08196e48e89860123e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 2 01:13:58 2006 +0000

    Bump to 1.0.2.

commit d76e42586ff3032b1427b9c130ed65c09078f4e4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jan 6 22:39:24 2006 +0000

    <http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6240826> Sun
        bug 6240826: xman typo: 'geometery' in usage message (Sam Lau)

commit d0b90cd56262986a6b8a57d91f1f833d3039bc9e
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:52 2005 +0000

    Update package version for X11R7 release.

commit e8eb7902e02e7ccad9ddd32eb517d989f90b3fa3
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 20 21:54:20 2005 +0000

    Bump hardcoded version number.

commit cf34c7ba82f1aa7d25d1d7e9ad70aea39c05d780
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:46 2005 +0000

    Stub COPYING files

commit 4676f39901599df979f6a5da84234e76a713b583
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:09 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 28b5296571c67d70d8808e2f80d2c3f51fba15b6
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 8 17:55:17 2005 +0000

    Add configure options to allow hard-coded paths to be changed.

commit 898dc25befe1d90e36e3735b011039745176e861
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 7 16:18:01 2005 +0000

    Change to use the app-defaults default dir configured in libXt.

commit 60093efc850bea280c2931f81b90ee8d83a21df6
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:24 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 3863a37b310d213e58732d6a5c9c7c878cdf1a8d
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:26 2005 +0000

    Update package version number for X11R7 RC3 release.

commit e0dfbe139da41143cdfc3c222110db790f160f3e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:44 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit e4156c926662a13bea5c59ecfc128dfd5b5f988c
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:02 2005 +0000

    Another pass at .cvsignores for apps.

commit 1a530f943936c8fe145e00567406a6c321dd9176
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:54 2005 +0000

    Add/improve .cvsignore files for apps.

commit d373967af861fb2c97dde15e56f13f575acc48da
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 20 04:13:45 2005 +0000

    Add dependency on xp module when building with Xprint support.

commit 4b7d00e52f22d0c98152bc47f47a317619175ae9
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:09:22 2005 +0000

    Update package version number for X11R7 RC2 release.

commit aaca206527e4fe4e3a825daae4261554681cec58
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:33 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 61785b3b0421ab82f88671dd5d515579cd5d8243
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:56 2005 +0000

    Update package version number for RC1 release.

commit 4c5fda0874b94edf9189eb84839e9ae46df99df6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:32:54 2005 +0000

    Change default install dir for app-default files from
        $(sysconfdir)/X11/app-defaults to $(libdir)/X11/app-defaults to match
        the monolith & allow localization

commit 009cf19ab0940f771eb5967a8f6528f20333b597
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:24 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 58076d1a51b69c6ef84258b2e3c4361fd6ac30e8
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:47 2005 +0000

    Use sed to fill in variables in man page

commit 41f684bf50fea4b96ebea38e728bb771b83dc736
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:30 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit f1b20d6d1578c6c57eed9fb81fd8d28282fc8bcc
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:36 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit c42be410ac62efc0252fae37b4ed1fb9d30bd457
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Jul 28 23:16:55 2005 +0000

    Set default man path for Solaris.

commit f4f185f8700de48dcb5b888cd113dcb9aff91829
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Jul 28 22:47:57 2005 +0000

    Install xman.help Attempt to determine man page configuration file location
        and format (based on Imake MANCONFIGSTYLE and MANCONF settings - needs
        testing on various Linux & BSD flavors to see if I translated
        correctly)

commit 7a3bd9a41a227ad0590d4104fd8ecc21e2099cd0
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jul 23 16:48:10 2005 +0000

    fix remainig DEP_{CFLAGS,LIBS} references

commit caa0a44964149cdbe1e3585b7799540e0827b4fc
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:32:02 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 0423e9c256b9fd808e09f306e9b7b668c799ed45
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 22:07:13 2005 +0000

    Add #ifdef HAVE_CONFIG_H/#include "config.h" to files that need it to get
        HAS_MKSTEMP defined in modular builds.

commit eb70952e2e8c3d103f8fcb3012328e542337c87a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 21:59:14 2005 +0000

    Define HAS_MKSTEMP if mkstemp() is present (needed for improved protection
        against tempfile race conditions in many places)

commit 622dfb510ce2896a79418a6227a8af634827b796
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 14 22:40:16 2005 +0000

    Add _BSD_SOURCE to lots of applications - patch from Stefan Dirsch

commit 6698505ac69196e38e1187c54204fb84ff6effe2
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jul 6 14:14:10 2005 +0000

    Make Xman build again.
    - Use $xaw_use_xprint instead of $XAW_USE_XPRINT
    - Generate Xman by linking from either Xman-xprint.ad or Xman-noxprint.ad
        Both pointed out by Stefan Dirsch.

commit fb0ffe45044025c82e1597b9cff7f8e1b2f216e6
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 5 22:51:11 2005 +0000

    Add build systems for xlogo, xlsatoms, xlsclients, xmag, xman, xmessage,
        xmh, xmore. lib/Xaw/xaw.m4: Add an AM_CONDITIONAL and a shell variable
        xaw_use_xprint symlink.sh: add some extra files for xgc, xinit,
        xkbcomp, xlogo, xmb, and xmodmap xc/programs/xmore/xmore.c:
        Conditionalize use of xprint

commit feaa900afe02312131f4f6f503fe6efa85a41eba
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Mon Apr 11 01:06:15 2005 +0000

    xc/programs/Xserver/Xprint/attributes.c
    xc/programs/glxgears/glxgears.c
    xc/programs/xdbedizzy/xdbedizzy.c
    xc/programs/xedit/Imakefile
    xc/programs/xedit/Xedit-xprint.ad
    xc/programs/xedit/util.c
    xc/programs/xedit/xedit.h
    xc/programs/xlogo/print.c
    xc/programs/xlogo/xlogo.c
    xc/programs/xlogo/xlogo.h
    xc/programs/xman/Imakefile
    xc/programs/xman/print.h
    xc/programs/xmore/Imakefile
    xc/programs/xmore/print.c
    xc/programs/xmore/print.h
    xc/programs/xmore/printdialog.c
    xc/programs/xphelloworld/xpawhelloworld/xpawhelloworld.c
    xc/programs/xphelloworld/xphelloworld/xphelloworld.c
    xc/programs/xphelloworld/xpsimplehelloworld/xpsimplehelloworld.c
    xc/programs/xphelloworld/xpxmhelloworld/xpxmhelloworld.c
    //bugs.freedesktop.org/show_bug.cgi?id=790) attachment #2379
        (https://bugs.freedesktop.org/attachment.cgi?id=2379) Implement support
        client+Xserver support for passing output (stdout+stderr) of the
        spooler command started by the Xprint server back to the application
        using the "xp-spooler-command-results" XPJobAttr attribute
        (applications can fetch the attribute value after the XPEndJobNotify
        event was received; more details can be found in
        http://xprint.mozdev.org/docs/dtprint_fspec.ps).

commit 821677f646bcaee8b5e4759d97909d05120de4d2
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Sat Apr 9 06:42:15 2005 +0000

    //bugs.freedesktop.org/show_bug.cgi?id=2942) attachment #2360
        (https://bugs.freedesktop.org/attachment.cgi?id=2360) Fix possible
        crash due uninitalised structure when "xman" opens the print dialog.

commit a42a211aba369513bf31d6d34c966c36c1ccc714
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Mon Jan 3 01:06:35 2005 +0000

    xc/lib/XprintAppUtil/xpapputil.c
    xc/lib/XprintAppUtil/xpapputil.h
    xc/lib/XprintUtil/xprintutil.c
    xc/lib/XprintUtil/xprintutil.h
    xc/programs/glxgears/glxgears.c
    xc/programs/xdbedizzy/xdbedizzy.c
    xc/programs/xedit/Xedit-xprint.ad
    xc/programs/xedit/commands.c
    xc/programs/xlogo/print.c
    xc/programs/xlsfonts/xlsfonts.c
    xc/programs/xlsfonts/xlsfonts.man
    xc/programs/xlsfonts/xlsfonts.sgml
    xc/programs/xman/Xman-xprint.ad
    xc/programs/xman/handler.c
    xc/programs/xman/print.c
    xc/programs/xman/print.h
    xc/programs/xmore/XMore.ad
    xc/programs/xmore/print.c
    xc/programs/xmore/print.h
    xc/programs/xmore/printdialog.c
    xc/programs/xmore/printdialog.h
    xc/programs/xmore/printdialogprivates.h
    xc/programs/xmore/xmore.c
    xc/programs/xphelloworld/xpawhelloworld/xpawhelloworld.c
    xc/programs/xphelloworld/xphelloworld/xphelloworld.c
    xc/programs/xphelloworld/xpsimplehelloworld/xpsimplehelloworld.c
    xc/programs/xphelloworld/xpxmhelloworld/xpxmhelloworld.c
    xc/programs/xphelloworld/xpxthelloworld/xpxthelloworld.c
    xc/programs/xplsprinters/xplsprinters.c
    //bugs.freedesktop.org/show_bug.cgi?id=1706) attachment #1615
        (https://bugs.freedesktop.org/attachment.cgi?id=1615): XprintUtils
        2004/Q3 update. This adds various new features to the XprintUtils
        library including support for page resolutions where
        X_resolution!=Y_resolution, listfonts-mode control and initial
        framework for the COLORSPACE extension. Patch by Roland Mainz
        <roland.mainz@nrubsig.org> and Julien Lafon <julien.lafon@gmail.com>.

commit 6abedd2bce33d244546a3efed44beb95c6571157
Author: Egbert Eich <eich@suse.de>
Date:   Mon Oct 18 14:21:47 2004 +0000

    Made handling of DevelDrivers for x86-64 more conformant to other
        platforms.
    Compress all font encodings (Stefan Dirsch).
    Fixed warnings.
    Turn on forwarding XNSpotLocation event to XIM server in OffTheSpot and
        Root mode (bugzilla #1580, James Su).
    Added another compose key combination for the Euro symbol (Stefan Dirsch).
    Added support for UTF-8 in ja_JP, ko_KR and zh_TW locales (Mike Fabian).
    Changed default encoding for ru from KOI8-R to ISO8859-5 (Mike Fabian).
        This is the encoding that is also used by glibc. We may break other
        libcs - lets see who complains.
    Added explanation for DESTDIR to install to a different directory than /.
    Added some early bailouts to atiprobe if PCI structure pointer is NULL to
        prevent sig11.
    XV support doesn't depend on 2D acceleration any more. This patch removes
        this limitation from the NSC driver. This is a patch that I have
        committed to XFree86 a while ago but never ported over to X.Org.
        Matthieu Herrb contributed some build fixes.
    Fixing SetDPMSTimers() so that DPMS*Time == 0 disables the appropriate
        timer. This takes advantage of the fact that TimerSet() with a timeout
        argument 0 behaves like TimerCanel().
    Use /dev/xconsole (named pipe) or devpts for system logger (Werner Fink).
    Create missing links for backward compatibility to XFree86 (Stefan Dirsch).
    Changed comment to mention xorg.
    Changed cursor for the 'kill' action from XC_draped_box to XC_Pirate. If
        you don't like it we can change it back (original author unkown).
    Added 'pic' to the man page rendering command pipeline (Werner Fink).
    Added missing return value (Stefan Dirsch, Roland Mainz)

commit 4cf1c874d8ea1eb2222e10ca92c2c5afa30e1326
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Tue Oct 12 22:46:40 2004 +0000

    Fix for https://freedesktop.org/bugzilla/show_bug.cgi?id=1601 - Fix
        problems with wrong page counts in xedit&co. when a global "*geometry"
        resource was overriding the internal geometry management used by
        XawPrintShell(=usually adjust to current page size, the resource was
        turning this into a static value). (Original patch by Felix Schulte
        <felix.schulte@gmail.com>)

commit b9b8f24095964cdfe21b52a5f2667a42fdc6220d
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Wed Sep 29 20:04:57 2004 +0000

    Avoid several buffer overflows if search string is too long. Bugzilla
        #1481.

commit 545064318591f8c27701da0af0ebc5d9fd1b2ec5
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Sep 2 08:40:33 2004 +0000

    Restore xman and xedit changes that were previously reverted, and make
        Xprint support optional (Bug #1273, Roland Mainz).

commit 50a3e1e4269fe2ef6c97ff40a6dc02d074e7ba95
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Mon Aug 16 16:36:26 2004 +0000

    As discussed and agreed on on the release-wranglers meeting of August 16,
        I'm committing the patch from bug #1060 to back out unconditional
        Xprint functionality.
    Back out Xprint changes.
    Revert xman to CVS of June 5, revert xlogo to CVS of May 8, revert xedit to
        CVS of April 25, to back out unconditional Xprint support.
    Fix up Xprint config logic to be like the rest of the extensions:
        BuildXprint is a one-stop option for disabling everything Xprint
        related. XprtServer controls building Xprt, BuildXprintLib controls
        building Xprint libs and BuildXprintClients controls building clients
        related to Xprint. BuiltXprint defaults to YES and the other options
        respects relevant settings, i.e. BuildServer and BuildServersOnly.
    Build Xaw regardless of BuildXprintLib setting.
    Only build xphelloworld, xplsprinters and xprehashprinterlist when
        BuildXprintClients it YES. Disable building xmore, it has always
        supported XawPrintShell.
    Make Xprint support depend on BuildXprintLib.

commit 6b0d9917116797e38b554397b815c555bf55a721
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Thu Jul 29 00:40:35 2004 +0000

    Fix for https://freedesktop.org/bugzilla/show_bug.cgi?id=938 - Update
        XawPrintShell per feedback and review comments.

commit 24ffc96e3347125c213090d9c9550fbf48756459
Author: Alan Hourihane <alanh@fairlite.demon.co.uk>
Date:   Thu Jul 1 13:54:46 2004 +0000

    DoSearch is defined in search.c

commit 7cf0973ed5076c513b3a970a8250066a05b0473e
Author: Roland Mainz <roland.mainz@nrubsig.org>
Date:   Tue Jun 8 02:44:35 2004 +0000

    Fix for http://freedesktop.org/bugzilla/show_bug.cgi?id=668 - Add print
        support to xman

commit 113139a1b202d0b94dcd24facc7b2c584faf294e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat May 22 19:20:06 2004 +0000

    Set HasMkstemp to YES on Solaris
    xc/programs/xman/man.c
    xc/programs/xman/man.h
    xc/programs/xman/misc.c
    xman cannot display SGML man pages on Solaris

commit 313f95249e4621b9002bdd054106b8b743ff64ae
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:58 2004 +0000

    Merging XORG-CURRENT into trunk

commit 0b24854cbc017733d4e782db65912a473ec053be
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:40 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 7093a5ad5e15f7c2a7bb8feb6f3255f9a4f8983a
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:15 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 471b69d7053fb225fee8a2ff987c789d421aedfa
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:26 2004 +0000

    readding XFree86's cvs IDs

commit 31f5f6a32ae09278b3bb6f8aecc18793d66b3437
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:14 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 06d8bbebd1daa587dc5509d9d464646a9ae07c45
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:15 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 1504e01d61c573156fe82c2395362f0567102d8a
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    XFree86 4.3.0.1

commit 36fca7804971e1b209138fcf82aee2d74cb2583e
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    Initial revision
